﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Analysis;

namespace HeuristicLab.DataPreprocessing
{
  public interface ILineChartLogic
  {

    void RemoveVariable(string name);

    void AddVariable(string name);

    IEnumerable<object> GetVariableNames();

    DataTable GetDataTable();

    bool VariableIsDisplayed(string name);
  }
}
